LinuxQuestions.org

LinuxQuestions.org (/questions/)
-   Linux - Software (http://www.linuxquestions.org/questions/linux-software-2/)
-   -   spamassassin fails after update (http://www.linuxquestions.org/questions/linux-software-2/spamassassin-fails-after-update-153408/)

blaroe 03-04-2004 08:37 AM

spamassassin fails after update
 
In the last apt-get update I did, I think there were some updates to perl, but I'm not sure. Anyhow, my previously function spamassassin install now fails and spits out the following ugly message:

Code:

Starting spamd: Can't locate HTML/Parser.pm in @INC (@INC contains: ../lib /usr/lib/perl5/site_perl/5.8.1 /usr/lib/perl5/5.8.3/i386-linux-thread-multi /usr/lib/perl5/5.8.3 /<and so on> /usr/lib/perl5/site_perl/5.8.1/Mail/SpamAssassin/HTML.pm line 7.
BEGIN failed--compilation aborted at /usr/lib/perl5/site_perl/5.8.1/Mail/SpamAssassin/HTML.pm line 7.
Compilation failed in require at /usr/lib/perl5/site_perl/5.8.1/Mail/SpamAssassin/PerMsgStatus.pm line 42.
BEGIN failed--compilation aborted at /usr/lib/perl5/site_perl/5.8.1/Mail/SpamAssassin/PerMsgStatus.pm line 42.
Compilation failed in require at /usr/lib/perl5/site_perl/5.8.1/Mail/SpamAssassin.pm line 62.
BEGIN failed--compilation aborted at /usr/lib/perl5/site_perl/5.8.1/Mail/SpamAssassin.pm line 62.
Compilation failed in require at /usr/bin/spamd line 33.
BEGIN failed--compilation aborted at /usr/bin/spamd line 33.

I'm a layman at perl, but it looks like some include files are no longer avalaible. Has anybody had a similar problem and if so how did you fix it?

Thanks in advance,
bl

blaroe 03-04-2004 08:39 AM

additioan info
 
Oops - forgot to mention:

Fedora Core 1
Perl 5.8.3

Too used to posting in the Fedora forum.

bl

tb2508 04-14-2004 11:02 AM

spamassassin perl error
 
Yeah man, I get this same error. Haven't found a fix to this yet.... I'm using Perl 5.8, Redhat 9, ........


All times are GMT -5. The time now is 04:33 AM.